blob: 3f21d90c41dee8bf915d3e73bf548549f4f5d6a8 [file] [log] [blame]
DEFINED_PHASES=configure install postinst prepare
DEPEND=alsa? ( media-libs/alsa-lib ) cddb? ( media-libs/libcddb ) drmkms? ( x11-libs/libdrm[libkms] ) gif? ( media-libs/giflib ) gstreamer? ( media-libs/gstreamer:1.0 media-libs/gst-plugins-base:1.0 ) imlib2? ( media-libs/imlib2 ) jpeg? ( virtual/jpeg:0= ) jpeg2k? ( media-libs/jasper[jpeg] ) mad? ( media-libs/libmad ) mng? ( media-libs/libmng ) mpeg3? ( media-libs/libmpeg3 ) opengl? ( media-libs/mesa[gbm,egl?,gles2?] x11-libs/libdrm ) png? ( media-libs/libpng:0 ) sdl? ( media-libs/libsdl ) tiff? ( media-libs/tiff:0 ) timidity? ( media-libs/libtimidity media-sound/timidity++ ) tremor? ( media-libs/tremor ) truetype? ( >=media-libs/freetype-2.0.1 ) vdpau? ( x11-proto/xproto x11-libs/libX11 x11-libs/libXext x11-libs/libvdpau ) vorbis? ( media-libs/libvorbis ) webp? ( media-libs/libwebp ) X? ( x11-libs/libXext x11-libs/libX11 ) xine? ( media-libs/xine-lib[vdpau?] ) zlib? ( sys-libs/zlib ) X? ( x11-proto/xextproto x11-proto/xproto ) !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.15:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
DESCRIPTION=Thin library on top of the Linux framebuffer devices
EAPI=5
HOMEPAGE=http://www.directfb.org/
IUSE=alsa bmp cddb debug divine drmkms +dynload doc egl fbcon fusiondale fusionsound gif gles2 gstreamer imlib2 input_hub jpeg jpeg2k mad cpu_flags_x86_mmx mng mpeg2 mpeg3 multicore opengl oss png pnm sawman sdl cpu_flags_x86_sse static-libs swfdec tiff timidity tremor truetype v4l vdpau vorbis webp X xine zlib video_cards_intel video_cards_mach64 video_cards_mga video_cards_neomagic video_cards_nsc video_cards_nvidia video_cards_r128 video_cards_radeon video_cards_s3 video_cards_sis video_cards_tdfx video_cards_via video_cards_vmware input_devices_dynapro input_devices_elo2300 input_devices_evdev input_devices_joystick input_devices_keyboard input_devices_lirc input_devices_mouse input_devices_mutouch input_devices_tslib
KEYWORDS=~alpha ~amd64 ~arm ~hppa ~ia64 -mips ~ppc ~ppc64 ~sh -sparc ~x86
LICENSE=LGPL-2.1
RDEPEND=alsa? ( media-libs/alsa-lib ) cddb? ( media-libs/libcddb ) drmkms? ( x11-libs/libdrm[libkms] ) gif? ( media-libs/giflib ) gstreamer? ( media-libs/gstreamer:1.0 media-libs/gst-plugins-base:1.0 ) imlib2? ( media-libs/imlib2 ) jpeg? ( virtual/jpeg:0= ) jpeg2k? ( media-libs/jasper[jpeg] ) mad? ( media-libs/libmad ) mng? ( media-libs/libmng ) mpeg3? ( media-libs/libmpeg3 ) opengl? ( media-libs/mesa[gbm,egl?,gles2?] x11-libs/libdrm ) png? ( media-libs/libpng:0 ) sdl? ( media-libs/libsdl ) tiff? ( media-libs/tiff:0 ) timidity? ( media-libs/libtimidity media-sound/timidity++ ) tremor? ( media-libs/tremor ) truetype? ( >=media-libs/freetype-2.0.1 ) vdpau? ( x11-proto/xproto x11-libs/libX11 x11-libs/libXext x11-libs/libvdpau ) vorbis? ( media-libs/libvorbis ) webp? ( media-libs/libwebp ) X? ( x11-libs/libXext x11-libs/libX11 ) xine? ( media-libs/xine-lib[vdpau?] ) zlib? ( sys-libs/zlib )
REQUIRED_USE=gles2? ( opengl )
SLOT=0
SRC_URI=http://directfb.org/downloads/Core/DirectFB-1.7/DirectFB-1.7.6.tar.gz http://directfb.org/downloads/Old/DirectFB-1.7.6.tar.gz
_eclasses_=autotools 07e71b3b5690738ef7e8bc097077e00c eutils b83a2420b796f7c6eff682679d08fe25 libtool 4890219c51da247200223277f993e054 multilib 165fc17c38d1b11dac2008280dab6e80 toolchain-funcs 6198c04daba0e1307bd844df7d37f423
_md5_=72e0efbaebbbf295027ad348abbade9d